// src/xt-button/index.js
Component({
	/**
	 * 组件的属性列表
	 */
	properties: {
		// 左侧图标名称
		icon: {
			type: String,
		},
		// 按钮尺寸，可选值为 normal large small
		size: {
			type: String,
			value: "normal",
		},
		// 按钮类型，可选值为 main secondary
		type: {
			type: String,
			value: "secondary",
		},
		color: {
			type: String,
		},
		disabled: {
			type: Boolean,
			value: false,
		},
		customClass: {
			type: String,
		},
	},

	/**
	 * 组件的初始数据
	 */
	data: {
		sizeObj: {
			small: { iconSize: 40 },
			normal: { iconSize: 48 },
			large: { iconSize: 48 },
		},
	},

	/**
	 * 组件的方法列表
	 */
	methods: {
		onClick(event) {
			this.triggerEvent("click", event);
		},
	},
});
